using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace voql
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            // Application.Run(new QueryDialog());
			string assemblyName = String.Empty;
			string connectionStr = "DatabaseConnection1";
			if (args.Length == 2) {
				assemblyName = System.IO.Path.GetFullPath(args[0]);
				connectionStr = args[1];
				OQLQueryBrowser.StartQueryBrowser(assemblyName, args[1]);
			} else {
				//MessageBox.Show("REQUIRED PARAMETER: assemblyName connectionId\r\n" +
				//                "  assemblyName  - The full path name of the entry assembly\r\n" +
				//                "  connectionId  - The name of the connection as defined in the app.config"
				//                , "OQL Browser");
				NeededParams form = new NeededParams();
				if (form.ShowDialog() == DialogResult.OK) {
					assemblyName = form.assemblyTextBox.Text;
					connectionStr = form.connectionTextBox.Text;
				}
			}
			if ( ! string.IsNullOrEmpty(assemblyName) &&
				! string.IsNullOrEmpty(connectionStr))
				OQLQueryBrowser.StartQueryBrowser(assemblyName, connectionStr);
        }
    }

}